package com.ywt.mg.params.prescription;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class QueryPrescriptionListRequest implements Serializable {

    @ApiModelProperty(value = "医生姓名", example = "")
    private String doctorname;

    @ApiModelProperty(value = "科室名称", example = "")
    private String deptname;

    @ApiModelProperty(value = "患者姓名", example = "")
    private String patientname;

    @ApiModelProperty(value = "订单来源", example = "")
    private String source;

    @ApiModelProperty(value = "药房ID", example = "")
    private String pharmacyId;

    @ApiModelProperty(value = "配送方式：''-全部，1-快递，2-自取", example = "")
    private String deliveryMethod;

    @ApiModelProperty(value = "创建时间查询开始时间", example = "")
    private String createTimeStart;

    @ApiModelProperty(value = "创建时间查询截止时间", example = "")
    private String createTimeEnd;

    @ApiModelProperty(value = "支付时间查询开始时间", example = "")
    private String payTimeStart;

    @ApiModelProperty(value = "支付时间查询截止时间", example = "")
    private String payTimeEnd;

    @ApiModelProperty(value = "退款时间查询开始时间", example = "")
    private String refundTimeStart;

    @ApiModelProperty(value = "退款时间查询截止时间", example = "")
    private String refundTimeEnd;

    @ApiModelProperty(value = "支付状态，参考PaymentStatusEnum类", example = "")
    private String paymentStatus;

    @ApiModelProperty(value = "订单状态", example = "")
    private String status;

    @ApiModelProperty(value = "业务编码", example = "")
    private String preBizNo;

    @ApiModelProperty(value = "处方编码", example = "")
    private String bizNo3th;

    @ApiModelProperty(value = "配送号", example = "")
    private String sendNo;

    @ApiModelProperty(value = "支付渠道", example = "")
    private String paymentChannel;

    @ApiModelProperty(value = "支付流水号", example = "")
    private String paymentNo;

    /**
     * 处方作废状态: ""-全部，"1"-作废申请中，"2"-已作废，"3"-作废失败
     */
    @ApiModelProperty(value = "作废状态,''-全部，'1'-作废申请中，'2'-已作废，'3'-作废失败", example = "")
    private String cancelStatus;

    @ApiModelProperty(value = "订单号", example = "")
    private String orderNo;

    @ApiModelProperty(value = "对账时间查询开始时间", example = "")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间查询截止时间", example = "")
    private String billEndTime;

    @ApiModelProperty(value = "交易流水号", example = "")
    private String transactionId;

    public String getDoctorname() {
        return doctorname;
    }

    public void setDoctorname(String doctorname) {
        this.doctorname = doctorname;
    }

    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }

    public String getPatientname() {
        return patientname;
    }

    public void setPatientname(String patientname) {
        this.patientname = patientname;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getPharmacyId() {
        return pharmacyId;
    }

    public void setPharmacyId(String pharmacyId) {
        this.pharmacyId = pharmacyId;
    }

    public String getDeliveryMethod() {
        return deliveryMethod;
    }

    public void setDeliveryMethod(String deliveryMethod) {
        this.deliveryMethod = deliveryMethod;
    }

    public String getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(String createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public String getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(String createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    public String getPayTimeStart() {
        return payTimeStart;
    }

    public void setPayTimeStart(String payTimeStart) {
        this.payTimeStart = payTimeStart;
    }

    public String getPayTimeEnd() {
        return payTimeEnd;
    }

    public void setPayTimeEnd(String payTimeEnd) {
        this.payTimeEnd = payTimeEnd;
    }

    public String getRefundTimeStart() {
        return refundTimeStart;
    }

    public void setRefundTimeStart(String refundTimeStart) {
        this.refundTimeStart = refundTimeStart;
    }

    public String getRefundTimeEnd() {
        return refundTimeEnd;
    }

    public void setRefundTimeEnd(String refundTimeEnd) {
        this.refundTimeEnd = refundTimeEnd;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPreBizNo() {
        return preBizNo;
    }

    public void setPreBizNo(String preBizNo) {
        this.preBizNo = preBizNo;
    }

    public String getBizNo3th() {
        return bizNo3th;
    }

    public void setBizNo3th(String bizNo3th) {
        this.bizNo3th = bizNo3th;
    }

    public String getSendNo() {
        return sendNo;
    }

    public void setSendNo(String sendNo) {
        this.sendNo = sendNo;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getCancelStatus() {
        return cancelStatus;
    }

    public void setCancelStatus(String cancelStatus) {
        this.cancelStatus = cancelStatus;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }
}
